import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { CheckCircleOutline as CheckCircleOutlineIcon, RemoveCircleOutline as RemoveCircleOutlineIcon, WarningAmber as WarningAmberIcon, } from '@mui/icons-material';
import { Fade, Modal, Typography } from '@mui/material';
import { ButtonVariant, ConfirmationModalPreset } from '../../../constants/common-constants';
import AdminButton from '../../button/AdminButton';
import './confirmationModal-styles.scss';
const ConfirmationModal = ({ buttonTitle, closeIconClassName, containerClassName = '', headerClassName = '', headerTitle, headerTitleClassName = '', modalType, onButtonClick, onClose, open, subHeaderTitle, subHeaderTitleClassName = '', }) => {
    const getModalContent = () => {
        switch (modalType) {
            case ConfirmationModalPreset.Delete:
                return {
                    icon: (_jsx(RemoveCircleOutlineIcon, { className: `confirmationModal__deleteIcon ${closeIconClassName}` })),
                    buttonClass: 'confirmationModal__delete',
                    buttonLabel: 'Delete',
                    title: 'Delete',
                    titleClass: 'confirmationModal__headerDeleteTitle',
                    containerClass: 'confirmationModal__deleteContainer',
                };
            case ConfirmationModalPreset.Success:
                return {
                    icon: (_jsx(CheckCircleOutlineIcon, { className: `confirmationModal__successIcon ${closeIconClassName}` })),
                    buttonClass: 'confirmationModal__success',
                    buttonLabel: 'Ok',
                    title: 'Success',
                    titleClass: 'confirmationModal__headerSuccessTitle',
                    containerClass: 'confirmationModal__successContainer',
                };
            case ConfirmationModalPreset.Warning:
                return {
                    icon: (_jsx(WarningAmberIcon, { className: `confirmationModal__warningIcon ${closeIconClassName}` })),
                    buttonClass: 'confirmationModal__warning',
                    buttonLabel: 'Continue',
                    title: 'Warning',
                    titleClass: 'confirmationModal__headerWarningTitle',
                    containerClass: 'confirmationModal__warningContainer',
                };
            default:
                return {
                    icon: null,
                    buttonClass: '',
                    buttonLabel: buttonTitle || '',
                    title: headerTitle || '',
                    titleClass: '',
                    containerClass: '',
                };
        }
    };
    const { icon, buttonClass, buttonLabel, title, titleClass, containerClass } = getModalContent();
    return (_jsx(Modal, { open: open, onClose: onClose, closeAfterTransition: true, children: _jsx(_Fragment, { children: _jsx(Fade, { in: open, children: _jsxs("div", { className: `confirmationModal__container ${containerClass} ${containerClassName}`, children: [_jsxs("div", { className: `confirmationModal__headerContainer ${headerClassName}`, children: [icon && _jsx(_Fragment, { children: icon }), _jsxs("div", { className: "confirmationModal__headerSubContainer", children: [_jsx(Typography, { className: headerTitleClassName || titleClass, children: title }), _jsx(Typography, { className: `confirmationModal__subHeaderTitle ${subHeaderTitleClassName}`, children: subHeaderTitle })] })] }), _jsxs("div", { className: "confirmationModal__footerContainer", children: [modalType !== ConfirmationModalPreset.Success && (_jsx(AdminButton, { buttonClass: "confirmationModal__cancelButton", handleClick: onClose, isDisabledRipple: true, isFullWidth: false, variant: ButtonVariant.Text, title: "Cancel" })), _jsx(AdminButton, { handleClick: onButtonClick, title: buttonTitle || buttonLabel, isFullWidth: false, buttonClass: `confirmationModal__mainButton ${buttonClass}`, buttonVariant: ButtonVariant.Contained, isDisabledRipple: true })] })] }) }) }) }));
};
export default ConfirmationModal;
