import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Slider } from '@mui/material';
import FormControl from '@mui/material/FormControl';
import FormHelperText from '@mui/material/FormHelperText';
import Typography from '@mui/material/Typography';
import './adminSlider-styles.scss';
const AdminSlider = (props) => {
    const { label, helperText, error, value, onChange, isRangeType = false, ...restProps } = props;
    return (_jsxs(FormControl, { error: error, className: "adminSlider__sliderFormControl", children: [_jsx(Typography, { children: label }), _jsx(Slider, { onChange: onChange, className: error ? 'error' : '', valueLabelDisplay: "on", ...(isRangeType ? { value: value } : { value: value }), ...restProps }), helperText && error && _jsx(FormHelperText, { children: helperText })] }));
};
export default AdminSlider;
