import { jsx as _jsx } from "react/jsx-runtime";
import { Tooltip } from '@mui/material';
import './adminTooltip-styles.scss';
const TOOLTIP_ENTER_TOUCH_DELAY = 0;
const AdminTooltip = props => {
    const { children, isError = false, message, isDarkMode = false } = props;
    const handleTooltipTriggerClick = (event) => {
        event.stopPropagation();
    };
    return (_jsx(Tooltip, { arrow: true, classes: {
            tooltip: `admin-tooltip__container ${isDarkMode ? 'admin-tooltip__darkContainer' : ''} ${isError ? 'admin-tooltip__error' : ''}`,
            arrow: `admin-tooltip__arrow ${isDarkMode ? 'admin-tooltip__arrowDark' : ''}`,
            tooltipPlacementBottom: 'admin-tooltip__placementBottom',
        }, enterTouchDelay: TOOLTIP_ENTER_TOUCH_DELAY, onClick: handleTooltipTriggerClick, title: message, children: _jsx("div", { children: children }) }));
};
export default AdminTooltip;
