import { BarChart, MonetizationOn, Tour, TrendingUp } from '@mui/icons-material';
import { ChartType, StatCardAlignment } from './constants';
export const DASHBOARD_DATA = {
    key: 'dashboard',
    title: 'Analytics Dashboard',
    statsData: [
        {
            alignment: StatCardAlignment.Horizontal,
            icon: BarChart,
            title: '200',
            subtitle: 'Total Users',
            stat: '10% increase in activity',
            color: '#fff',
        },
        {
            alignment: StatCardAlignment.Horizontal,
            color: '#fff',
            icon: MonetizationOn,
            title: '300',
            subtitle: 'Total Order',
            stat: '+ 5% from yesterday',
        },
        {
            alignment: StatCardAlignment.Horizontal,
            color: '#FFFBF5',
            icon: Tour,
            title: '20',
            subtitle: 'New Users',
            stat: '+ 15% from yesterday',
        },
        {
            alignment: StatCardAlignment.Horizontal,
            color: '#FFFBF5',
            icon: TrendingUp,
            title: '100',
            subtitle: 'Products Sold',
            stat: '10% from yesterday',
        },
        {
            alignment: StatCardAlignment.Horizontal,
            color: '#FFE5E5',
            icon: TrendingUp,
            title: '$ 1000',
            subtitle: 'Total Revenue',
            stat: '10% from yesterday',
        },
        {
            alignment: StatCardAlignment.Horizontal,
            color: '#FFE5E5',
            icon: TrendingUp,
            title: '$ 1000',
            subtitle: 'Total Revenue',
            stat: '10% from yesterday',
        },
    ],
    totalActivity: 75,
    charts: [
        {
            chartLabel: 'Bar Chart',
            chartType: ChartType.Bar,
        },
        {
            chartLabel: 'Composed Chart',
            chartType: ChartType.Composed,
        },
        {
            chartLabel: 'Area Chart',
            chartType: ChartType.Area,
        },
        {
            chartLabel: 'Radar Chart',
            chartType: ChartType.Radar,
        },
        {
            chartLabel: 'Line Chart',
            chartType: ChartType.Line,
        },
        {
            chartLabel: 'Pie Chart',
            chartType: ChartType.Pie,
        },
    ],
};
