import { z } from 'zod';
import { IJsonData } from '../../types/common-types';
declare const RewardSchema: z.ZodObject<{
    reward_url: z.ZodString;
    rewards: z.ZodArray<z.ZodAny, "many">;
    date: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    reward_url: string;
    rewards: any[];
    date?: string | undefined;
}, {
    reward_url: string;
    rewards: any[];
    date?: string | undefined;
}>;
export type ISubmittedDataType = z.infer<typeof RewardSchema> | {
    id: string;
};
export declare const DATA: IJsonData<ISubmittedDataType>;
export {};
